Ask Your Question
0

Unable build ABB YuMi Support

asked 2017-07-06 17:54:07 -0600

Bob Walton gravatar image

updated 2017-07-07 01:41:26 -0600

gvdhoorn gravatar image

I am new to the ROS systems and have come to a dead stop, can someone with experience assist.

System so far:

  • Ubuntu VM 16.04.2 Kinetic
  • ROS installed and builds
  • ROS-I core builds
  • gazebo works
  • gazebo_ros_pkgs builds

cloned package from https://github.com/OrebroUniversity/yumi

When I build I get warnings and errors errors:

CMake Warning at /opt/ros/kinetic/share/catkin/cmake/catkin_package.cmake:166 (message):
  catkin_package() DEPENDS on 'gazebo_ros' but neither
  'gazebo_ros_INCLUDE_DIRS' nor 'gazebo_ros_LIBRARIES' is defined.
Call Stack (most recent call first):
  /opt/ros/kinetic/share/catkin/cmake/catkin_package.cmake:102 (_catkin_package)
  YuMi/gazebo_mimic/CMakeLists.txt:14 (catkin_package)

CMake Warning at /opt/ros/kinetic/share/catkin/cmake/catkinConfig.cmake:76 (find_package):
  Could not find a package configuration file provided by "abb_egm_interface"
  with any of the following names:

    abb_egm_interfaceConfig.cmake
    abb_egm_interface-config.cmake

  Add the installation prefix of "abb_egm_interface" to CMAKE_PREFIX_PATH or
  set "abb_egm_interface_DIR" to a directory containing one of the above
  files.  If "abb_egm_interface" provides a separate development package or
  SDK, be sure it has been installed.
Call Stack (most recent call first):
  YuMi/yumi_hw/CMakeLists.txt:10 (find_package)


-- Could not find the required component 'abb_egm_interface'. The following CMake error indicates that you either need to install the package with the same name or change your environment so that it can be found.
CMake Error at /opt/ros/kinetic/share/catkin/cmake/catkinConfig.cmake:83 (find_package):
  Could not find a package configuration file provided by "abb_egm_interface"
  with any of the following names:

    abb_egm_interfaceConfig.cmake
    abb_egm_interface-config.cmake

  Add the installation prefix of "abb_egm_interface" to CMAKE_PREFIX_PATH or
  set "abb_egm_interface_DIR" to a directory containing one of the above
  files.  If "abb_egm_interface" provides a separate development package or
  SDK, be sure it has been installed.
Call Stack (most recent call first):
  YuMi/yumi_hw/CMakeLists.txt:10 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/pbprobotics/catkin_ws/build/CMakeFiles/CMakeOutput.log".
See also "/home/pbprobotics/catkin_ws/build/CMakeFiles/CMakeError.log".
Invoking "cmake" failed

I am obviously missing something, can anyone help.

Bob

edit retag flag offensive close merge delete

Comments

rosdep check --from-paths . --ignore-src --rosdistro kinetic System dependencies have not been satisified: ERROR[yumi_hw]: Cannot locate rosdep definition for [abb_rws_interface] OS name : ubuntu OS version : xenial

Bob Walton gravatar imageBob Walton ( 2017-07-06 18:24:49 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-07-07 01:40:44 -0600

gvdhoorn gravatar image

updated 2017-07-07 05:24:40 -0600

The latest version of that package depends on unreleased software (abb_rws_interface). It appears that the changes that introduced that dependency were merged into master by accident.

21833bb1 reverts that, so master should build again.

See also OrebroUniversity/yumi#15 for a related issue.

edit flag offensive delete link more

Comments

Thanks for the feedback I can now build once the master was reverted.

Bob Walton gravatar imageBob Walton ( 2017-07-09 23:29:24 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-07-06 17:54:07 -0600

Seen: 307 times

Last updated: Jul 09 '17